LSB SDK 4.1.8

The LSB workgroup is pleased to announce the release of the LSB SDK, version 4.1.8. Bundles for the x86, x86_64, ia64, and POWER architectures can be downloaded immediately from:

http://ftp.linuxfoundation.org/pub/lsb/bundles/released-4.1.0/sdk/

31- and 64-bit System z (s390/s390x) releases will be ready later today, and will be made available at the same location.

The biggest change in this release is the inclusion of the LSB 5.0 SDK elements as a technology preview. The SDK still defaults to building for LSB 4.1, so you can upgrade without worrying about accidentally pulling in new dependencies that aren't ready yet. The easiest way to turn on LSB 5.0 support is by setting the LSBCC_LSBVERSION environment variable to "5.0" before building; for other ways, see the "lsbcc" man page.

In addition, the new SDK contains a number of bug fixes. For the complete list, see the release rollup bug in the LSB bug tracker:

https://lsbbugs.linuxfoundation.org/show_bug.cgi?id=3806

Some notable fixes:

  • Fix a bug with GNU autotools choking on some compiler compatibility warnings. (bug 3886)
  • It is now possible (although not recommended) to statically link libraries that are part of the LSB. (bug 3862)
  • Linking dynamic libraries now succeeds when no .o files are passed on the command line. (bug 3915)
Groups: